<script>
  let clicked = false;
</script>

<style>
  button {
    width: 100%;
  }
</style>

<div>
  <button class="btn btn-primary" on:click={() => (clicked = true)}>
    click here
  </button>

  <div>
    {#if clicked == false}
      <span>You have to click the button!</span>
    {:else}
      <span>You have clicked the button!</span>
    {/if}
  </div>

</div>
